Bug 156572 - [patch] www/gforge fix RUN_DEPENDS
Summary: [patch] www/gforge fix RUN_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-22 13:50 UTC by Olli Hauer
Modified: 2011-05-18 20:00 UTC (History)
1 user (show)

See Also:


Attachments
gforge.diff (764 bytes, patch)
2011-04-22 13:50 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2011-04-22 13:50:12 UTC
During an local exp-run I found the following lines in gforge build log

[...]
pkg_add jpgraph-3.0.7.tbz
[...]
===>  Extracting for jpgraph-3.0.7
=> SHA256 Checksum OK for jpgraph-3.0.7.tar.bz2.
===>  Patching for jpgraph-3.0.7
===>  Configuring for jpgraph-3.0.7
===>  Installing for jpgraph-3.0.7
===>   jpgraph-3.0.7 depends on file: /usr/local/include/php/main/php.h - found
===>   jpgraph-3.0.7 depends on file: /usr/local/lib/php/20090626/gd.so - found
===>   Generating temporary packing list
===>  Checking if graphics/jpgraph2 already installed
===>   jpgraph-3.0.7 is already installed
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of graphics/jpgraph2
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1

Stop in /a/ports/graphics/jpgraph2.
*** Error code 1

Stop in /a/ports/www/gforge.


Inspecting the content off jpgraph/jpgraph2 

$> tar tvf /data/packages/porter/jpgraph-1.27.1.tbz | awk '/imgdata_balls/ {print $9}'
share/jpgraph/imgdata_balls.inc.php

$> tar tvf /data/packages/porter/jpgraph-3.0.7.tbz | awk '/imgdata_balls/ {print $9}'
share/jpgraph/imgdata_balls.inc.php

Additional I run a build against apache22 without errors after changing
USE_APACHE=13 to USE_APACHE=13+ but haven't test functionality.
Comment 1 Edwin Groothuis freebsd_committer 2011-04-22 13:50:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Olli Hauer freebsd_committer 2011-04-22 15:04:12 UTC
Hi Sylvio,

in case gforge does not work together with apache22 it will be nice
to use this patch instead the first one.

At the moment apache22 is not the default but it will be in near
future. If the new bsd.apache.mk (PR ports/156533) is committed
then we have a new (ro) var DEFAULT_APACHE_VERSION which can be
used right now to detect future build issues.

// olli


--- gforge.diff begins here ---
Index: gforge/Makefile
===================================================================
RCS file: /home/pcvs/ports/www/gforge/Makefile,v
retrieving revision 1.32
diff -u -r1.32 Makefile
--- gforge/Makefile	4 Dec 2010 07:33:55 -0000	1.32
+++ gforge/Makefile	22 Apr 2011 13:48:50 -0000
@@ -30,10 +30,14 @@
 
 .include <bsd.port.pre.mk>
 
+.if defined(DEFAULT_APACHE_VERSION) && ${DEFAULT_APACHE_VERSION} > 13
+MANUAL_PACKAGE_BUILD=	conflicting dependencies
+.endif
+
 .if ${PHP_VER} == 4
-RUN_DEPENDS+=	${LOCALBASE}/share/jpgraph/imgdata_balls.inc:${PORTSDIR}/graphics/jpgraph
+RUN_DEPENDS+=	${LOCALBASE}/share/jpgraph/imgdata_balls.inc.php:${PORTSDIR}/graphics/jpgraph
 .else
-RUN_DEPENDS+=	${LOCALBASE}/share/jpgraph/imgdata_balls.inc:${PORTSDIR}/graphics/jpgraph2
+RUN_DEPENDS+=	${LOCALBASE}/share/jpgraph/imgdata_balls.inc.php:${PORTSDIR}/graphics/jpgraph2
 .endif
 
 .if defined(WITH_JABBER)
--- gforge.diff ends here ---
Comment 3 dfilter service freebsd_committer 2011-05-18 19:57:58 UTC
sylvio      2011-05-18 18:57:44 UTC

  FreeBSD ports repository

  Modified files:
    www/gforge           Makefile pkg-plist 
  Log:
  - Fix problem with local exp-run
  - Change USE_APACHE to use 13+
  
  PR:             ports/156572
  Submitted by:   ohauer@
  
  Revision  Changes    Path
  1.33      +5 -3      ports/www/gforge/Makefile
  1.13      +576 -576  ports/www/gforge/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sylvio Cesar Teixeira freebsd_committer 2011-05-18 19:58:13 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!